<?php

// Remove Admin Bar
// if(is_mobile()){
// add_filter( 'show_admin_bar', '__return_false' );
// }

// Remove .hentry
add_filter('post_class', 'remove_hentry');
function remove_hentry( $classes ) {
    if (!is_single()) $classes = array_diff($classes, array('hentry'));
    return $classes;
}

// Add Class post_class
add_filter('post_class', 'add_class_article');
function add_class_article( $classes ) {
    $classes[] = 'article cf';
    return $classes;
}

// Add Class body
add_filter( 'body_class', 'oc_custom_class' );
function oc_custom_class( $classes ) {
	if (!is_active_sidebar('sidebar-pc') && !is_singular() && !wp_is_mobile()){
		$classes[] = 'sidebar_none';
	}
	if(!is_page_template( 'page-lp.php' ) && !is_singular( 'post_lp' )){
		$classes[] = get_option('post_options_postdesign','pd_normal');
	}
	$classes[] = get_option('post_options_ttl','h_default');
	$classes[] = get_option('post_options_date','date_on');
	$classes[] = get_option('post_options_label', 'catlabeloff');
	$classes[] = get_option('side_options_pannavi', 'pannavi_on');
	return $classes;		
}

// Remove Version
if (!function_exists('vc_remove_wp_ver_css_js')) {
	function vc_remove_wp_ver_css_js( $src ) {
	    if ( strpos( $src, 'ver=' ) )
	        $src = remove_query_arg( 'ver', $src );
	    return $src;
	}
	add_filter( 'style_loader_src', 'vc_remove_wp_ver_css_js', 9999 );
	add_filter( 'script_loader_src', 'vc_remove_wp_ver_css_js', 9999 );
}

// THEME CSS EDITOR INCLUDE
add_editor_style( 'library/css/editor-style.css' );


// Add Class Visual Editor
add_filter( 'tiny_mce_before_init', 'custom_tiny_mce_body_class' );
function custom_tiny_mce_body_class( $settings ){
  $settings['body_class'] = 'entry-content';
  return $settings;
}


// Gutenberg support[BETA]
add_action( 'after_setup_theme', 'lp_setup_theme' );
function lp_setup_theme() {
    add_theme_support( 'gutenberg', array(
        'wide-images' => true
    ) );
}
add_action('wp_enqueue_scripts', 'oc_enqueue_assets');
function oc_enqueue_assets() {
    wp_enqueue_style('oc-block-style', get_theme_file_uri('/library/css/block-style.css'));
}

// include Gutenberg editor css
add_action( 'enqueue_block_editor_assets', 'gutenberg_stylesheets_custom' );
function gutenberg_stylesheets_custom() {
  $editor_style_url = get_theme_file_uri('/library/css/editor-style.css');
  wp_enqueue_style( 'theme-editor-style', $editor_style_url );
}